Bug 727658 - [abrt] xine-ui-0.99.6-26.fc15: Process /usr/bin/xine was killed by signal 6 (SIGABRT)
Summary: [abrt] xine-ui-0.99.6-26.fc15: Process /usr/bin/xine was killed by signal 6 (...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c7e60ad21e0175eeb41aacdd2b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 18:55 UTC by Andrey V. Henneberg
Modified: 2012-08-07 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:45:13 UTC


Attachments (Terms of Use)
File: backtrace (51.40 KB, text/plain)
2011-08-02 18:55 UTC, Andrey V. Henneberg
no flags Details
File: maps (26.37 KB, text/plain)
2011-08-02 18:55 UTC, Andrey V. Henneberg
no flags Details

Description Andrey V. Henneberg 2011-08-02 18:55:47 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        xine /home/andrey/Desktop/torrent/interstate_60.avi
comment:        Open video file in AVI format.
component:      xine-ui
executable:     /usr/bin/xine
kernel:         2.6.38.8-35.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        xine-ui-0.99.6-26.fc15
reason:         Process /usr/bin/xine was killed by signal 6 (SIGABRT)
time:           Wed Aug  3 01:29:54 2011
uid:            500
username:       andrey

backtrace:      Text file, 52634 bytes
maps:           Text file, 27006 bytes

dso_list:
:/usr/lib/libiso9660.so.7.0.0 libcdio-0.82-4.fc15.i686 (Fedora Project) 1308373360
:/usr/lib/libtheora.so.0.3.10 libtheora-1:1.1.1-1.fc15.i686 (Fedora Project) 1306753067
:/usr/lib/xine/plugins/1.29/xineplug_dmx_image.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/lib/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310144189
:/usr/lib/xine/plugins/1.29/xineplug_inp_vcdo.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/xine/plugins/1.29/xineplug_decode_mad.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.i686 (Fedora Project) 1306753328
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1311171231
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1306753062
:/usr/lib/libva.so.1.0.13 libva-1.0.13-2.fc15.i686 (Fedora Project) 1309114415
:/lib/ld-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libXft.so.2.2.0 libXft-2.2.0-2.fc15.1.i686 (Russian Fedora Team) 1306753371
:/usr/lib/xine/plugins/1.29/xineplug_decode_qt.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/lib/libc-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/xine/plugins/1.29/xineplug_dmx_audio.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310144189
:/usr/lib/libv4l2.so.0 libv4l-0.8.5-1.fc15.i686 (Fedora Project) 1312307480
:/lib/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.i686 (Fedora Project) 1306753328
:/usr/lib/gconv/KOI8-R.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libdirac_encoder.so.0.1.0 dirac-libs-1.0.2-6.fc15.i686 (Fedora Project) 1306753147
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310144189
:/lib/libcrypt-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1306753065
:/usr/lib/xine/plugins/1.29/xineplug_decode_ff.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/locale/locale-archive glibc-common-2.14-4.i686 (Fedora Project) 1309976290
:/usr/lib/xine/plugins/1.29/xineplug_decode_w32dll.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libvcdinfo.so.0.2.0 vcdimager-libs-0.7.24-1.fc15.i686 (RPM Fusion) 1309114403
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310144189
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1306753063
:/usr/lib/xine/plugins/1.29/xineplug_inp_dvb.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/lib/libm-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/bin/xine xine-ui-0.99.6-26.fc15.i686 (Fedora Project) 1306732909
:/usr/lib/xine/plugins/1.29/xineplug_dmx_yuv4mpeg2.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/share/locale/ru/LC_MESSAGES/xine-ui.mo xine-ui-0.99.6-26.fc15.i686 (Fedora Project) 1306732909
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1306753028
:/lib/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.i686 (Fedora Project) 1306753056
:/usr/lib/xine/plugins/1.29/xineplug_inp_dvd.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/xine/plugins/1.29/xineplug_inp_file.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/xine/plugins/1.29/xineplug_inp_http.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/xine/plugins/1.29/post/xineplug_post_tvtime.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1306753062
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1306753037
:/usr/lib/xine/plugins/1.29/xineplug_inp_v4l2.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libldap-2.4.so.2.6.0 openldap-2.4.24-3.fc15.i686 (Fedora Project) 1311171233
:/usr/lib/libavcodec.so.52.121.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.i686 (RPM Fusion) 1310673191
:/usr/lib/libmp3lame.so.0.0.0 lame-libs-3.98.4-1.fc14.i686 (RPM Fusion) 1306753071
:/usr/lib/xine/plugins/1.29/xineplug_inp_cdda.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1306753030
:/usr/lib/libxine.so.1.29.0 xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1306753031
:/usr/lib/xine/plugins/1.29/xineplug_dmx_slave.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.i686 (Fedora Project) 1311171358
:/lib/libplds4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306753025
:/usr/lib/libmad.so.0.2.1 libmad-0.15.1b-13.fc12.i586 (RPM Fusion) 1306753553
:/lib/librt-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/xine/plugins/1.29/post/xineplug_post_goom.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-1.fc15.i686 (Fedora Project) 1308373254
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1306753061
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.i686 (Fedora Project) 1306753063
:/usr/lib/libmodplug.so.1.0.0 libmodplug-1:0.8.8.3-3.fc15.i686 (Fedora Project) 1306753298
:/usr/lib/xine/plugins/1.29/xineplug_inp_rtp.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/xine/plugins/1.29/xineplug_inp_net.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/xine/plugins/1.29/xineplug_decode_real.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/xine/plugins/1.29/xineplug_vo_out_xv.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libgsm.so.1.0.12 gsm-1.0.13-2.fc12.i686 (Fedora Project) 1306753079
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.1.i686 (Russian Fedora Team) 1306753318
:/lib/libnss_files-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1306753021
:/usr/lib/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.i686 (Fedora Project) 1306753063
:/usr/lib/liblber-2.4.so.2.6.0 openldap-2.4.24-3.fc15.i686 (Fedora Project) 1311171233
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1306753061
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.i686 (Fedora Project) 1306753081
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.i686 (Fedora Project) 1311694709
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.i686 (Fedora Project) 1306753019
:/usr/lib/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1306753031
:/usr/lib/libnss3.so nss-3.12.10-1.fc15.i686 (Fedora Project) 1306753486
:/usr/lib/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1306753063
:/usr/lib/alsa-lib/libasound_module_ctl_pulse.so alsa-plugins-pulseaudio-1.0.24-2.fc15.i686 (Fedora Project) 1306754452
:/usr/lib/xine/plugins/1.29/xineplug_inp_stdin_fifo.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/liborc-0.4.so.0.14.0 orc-0.4.14-1.fc15.i686 (Fedora Project) 1306753079
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1306753062
:/usr/lib/libXv.so.1.0.0 libXv-1.0.6-2.fc15.i686 (Fedora Project) 1306753066
:/lib/libplc4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306753025
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1306753017
:/usr/lib/alsa-lib/libasound_module_pcm_pulse.so alsa-plugins-pulseaudio-1.0.24-2.fc15.i686 (Fedora Project) 1306754452
:/usr/lib/xine/plugins/1.29/xineplug_inp_pnm.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libssl3.so nss-3.12.10-1.fc15.i686 (Fedora Project) 1306753486
:/usr/lib/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.i686 (Fedora Project) 1306753474
:/usr/lib/sse2/libx264.so.114 x264-libs-0.0.0-0.29.20110227.fc15.i686 (RPM Fusion) 1306753080
:/usr/lib/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1306753081
:/usr/lib/libspeex.so.1.5.0 speex-1.2-0.13.rc1.fc15.i686 (Fedora Project) 1306753053
:/usr/lib/libv4lconvert.so.0 libv4l-0.8.5-1.fc15.i686 (Fedora Project) 1312307480
:/lib/libidn.so.11.6.2 libidn-1.19-2.fc15.i686 (Fedora Project) 1306753052
:/lib/libresolv-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libtheoraenc.so.1.1.2 libtheora-1:1.1.1-1.fc15.i686 (Fedora Project) 1306753067
:/usr/lib/libschroedinger-1.0.so.0.10.0 schroedinger-1.0.10-2.fc15.i686 (Fedora Project) 1306753116
:/usr/lib/xine/plugins/1.29/xineplug_ao_out_none.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libcurl.so.4.2.0 libcurl-7.21.3-8.fc15.i686 (Fedora Project) 1309114346
:/usr/lib/xine/plugins/1.29/xineplug_decode_sputext.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.i686 (Fedora Project) 1306753034
:/lib/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.i686 (Fedora Project) 1306753360
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.i686 (Fedora Project) 1311171233
:/usr/lib/xine/plugins/1.29/xineplug_dmx_ogg.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/lib/libdl-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libopenjpeg.so.3.1.4.0 openjpeg-libs-1.4-6.fc15.i686 (Fedora Project) 1306753109
:/usr/lib/xine/plugins/1.29/xineplug_ao_out_alsa.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libsmime3.so nss-3.12.10-1.fc15.i686 (Fedora Project) 1306753486
:/usr/lib/xine/plugins/1.29/xineplug_inp_vcd.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/lib/libnspr4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306753025
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-4.i686 (Fedora Project) 1309976270
:/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.i686 (Fedora Project) 1306753029
:/usr/lib/xine/plugins/1.29/xineplug_vo_out_dxr3.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1306753021
:/usr/lib/xine/plugins/1.29/xineplug_dmx_avi.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libnssutil3.so nss-util-3.12.10-1.fc15.i686 (Fedora Project) 1306753028
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-9.fc15.i686 (Fedora Project) 1307539555
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.i686 (Fedora Project) 1306753072
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1306753066
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.i686 (Fedora Project) 1309200762
:/usr/lib/liblirc_client.so.0.2.1 lirc-libs-0.9.0-7.fc15.i686 (Fedora Project) 1310297447
:/usr/lib/xine/plugins/1.29/xineplug_inp_rtsp.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904
:/usr/lib/libtheoradec.so.1.1.4 libtheora-1:1.1.1-1.fc15.i686 (Fedora Project) 1306753067
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1306753062
:/usr/lib/libpostproc.so.51.2.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.i686 (RPM Fusion) 1310673191
:/lib/libpthread-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/lib/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.i686 (Fedora Project) 1307539504
:/usr/lib/libavutil.so.50.41.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.i686 (RPM Fusion) 1310673191
:/usr/lib/libvpx.so.0.9.6 libvpx-0.9.6-1.fc15.i686 (Fedora Project) 1306753126
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1306753026
:/usr/lib/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1306753081
:/lib/libnsl-2.14.so glibc-2.14-4.i686 (Fedora Project) 1309976270
:/usr/lib/libxvidcore.so.4.3 xvidcore-1.3.2-2.fc15.i686 (RPM Fusion) 1309114470
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.1.i686 (Russian Fedora Team) 1306753018
:/usr/lib/libcdio.so.12.0.0 libcdio-0.82-4.fc15.i686 (Fedora Project) 1308373360
:/usr/lib/xine/plugins/1.29/xineplug_decode_a52.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/xine/plugins/1.29/xineplug_inp_mms.so xine-lib-extras-freeworld-1.1.19-1.fc14.i686 (RPM Fusion) 1306732907
:/usr/lib/xine/plugins/1.29/xineplug_vo_out_none.so xine-lib-1.1.19-6.fc15.i686 (Fedora Project) 1306732904

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-l1IDfoqpjv,guid=3ed022f66f1b31bbc8d13ace00000046
:XDG_SESSION_COOKIE=fdbe8c757b228cb97f88c8b00000000f-1312307849.400311-182102198
:XDG_RUNTIME_DIR=/run/user/andrey
:DISPLAY=:0.0
:DESKTOP_SESSION=xfce
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=xfce
:USERNAME=andrey
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-l1IDfoqpjv,guid=3ed022f66f1b31bbc8d13ace00000046
:XAUTHORITY=/var/run/gdm/auth-for-andrey-lcMR21/database
:USER=andrey
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=2030
:SHLVL=1
:PWD=/home/andrey
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-35qQfp
:LANG=ru_RU.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=andrey
:HOME=/home/andrey
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/xine.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3451

var_log_messages:
:Aug  1 21:21:35 localhost xinetd[1362]: xinetd Version 2.3.14 started with libwrap loadavg labeled-networking options compiled in.
:Aug  1 21:21:35 localhost xinetd[1362]: Started working: 0 available services
:Aug  2 22:24:57 localhost abrt[7694]: saved core dump of pid 7662 (/usr/bin/xine) to /var/spool/abrt/ccpp-2011-08-02-22:24:55-7662.new/coredump (231616512 bytes)
:Aug  2 22:28:26 localhost abrt[7819]: saved core dump of pid 7757 (/usr/bin/xine) to /var/spool/abrt/ccpp-2011-08-02-22:28:24-7757.new/coredump (231419904 bytes)
:Aug  2 22:29:07 localhost abrt[7877]: saved core dump of pid 7850 (/usr/bin/xine) to /var/spool/abrt/ccpp-2011-08-02-22:29:05-7850.new/coredump (231415808 bytes)
:Aug  3 00:56:54 localhost xinetd[1390]: xinetd Version 2.3.14 started with libwrap loadavg labeled-networking options compiled in.
:Aug  3 00:56:54 localhost xinetd[1390]: Started working: 0 available services
:Aug  3 01:29:56 localhost abrt[3474]: saved core dump of pid 3451 (/usr/bin/xine) to /var/spool/abrt/ccpp-2011-08-03-01:29:54-3451.new/coredump (232591360 bytes)

Comment 1 Andrey V. Henneberg 2011-08-02 18:55:51 UTC
Created attachment 516380 [details]
File: backtrace

Comment 2 Andrey V. Henneberg 2011-08-02 18:55:54 UTC
Created attachment 516381 [details]
File: maps

Comment 3 Andrey V. Henneberg 2011-08-02 18:56:17 UTC
Package: xine-ui-0.99.6-26.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Open video file in AVI format.

Comment 4 Michael J Gruber 2011-08-15 10:38:30 UTC
(In reply to comment #3)
> Package: xine-ui-0.99.6-26.fc15
> Architecture: i686
> OS Release: Fedora release 15 (Lovelock)
> 
> Comment
> -----
> Open video file in AVI format.

Can you try with a different xine frontend, such as oxine or gxine, or dragon with xine backend? I suspect this is a xine-lib bug.

Can you try with a non-xine player (totem, vlc, mplayer, dragon with non-xine backend, ...)?

Comment 5 Andrey V. Henneberg 2011-08-23 04:57:54 UTC
Totem and mplayer plays the same AVIs fine. Unfortunately I don't know which backend is used in totem. And I'll try test vlc and gxine later.

Comment 6 Michael J Gruber 2011-08-23 06:58:38 UTC
(In reply to comment #5)
> Totem and mplayer plays the same AVIs fine. Unfortunately I don't know which
> backend is used in totem. And I'll try test vlc and gxine later.

Thanks! If you don't know then totem is using the default gstreamer backend.

So, the avi is OK, and it would be most interesting if you could test with a xine frontend other then xine-ui, e.g. gxine or oxine.

Comment 7 Andrey V. Henneberg 2011-08-23 17:48:56 UTC
Gxine test result:
-----------------------------------------------------------------------------------------------------------------------
[andrey@localhost ~]$ LC_ALL=C gxine
warning: configuration item media.capture.save_dir points to a non-existent location 
warning: configuration item media.dvb.channels_conf points to a non-existent location /home/andrey/.xine/channels.conf
lirc: cannot initialise - disabling remote control
lirc: maybe lircd isn't running or you can't connect to the socket?
CDROMREADTOCHDR: No medium found
WARN: error in ioctl CDROMREADTOCHDR: No medium found

WARN: error reading PVD sector (16) error -1
1 errors in postprocess string "hb:a,vb:a,dr:a"
[mpeg4 @ 0xa5e79a0] Invalid and inefficient vfw-avi packed B frames detected
gxine has suffered a fatal internal error.
To get a backtrace, run gxine in a debugger such as gdb.
Then, when the error occurs:
  (gdb) thread apply all bt
gxine: error: Fatal error: Segmentation fault
-----------------------------------------------------------------------------------------------------------------------

VLC plays AVI without any problems.


Xine being started from terminal:
-----------------------------------------------------------------------------------------------------------------------
[andrey@localhost torrent]$ LC_ALL=C xine ~/torrent/Blind\ Date.avi 
This is xine (X11 gui) - a free video player v0.99.6.
(c) 2000-2007 The xine Team.
1 errors in postprocess string "hb:a,vb:a,dr:a"
[mpeg4 @ 0xa8400a80] Invalid and inefficient vfw-avi packed B frames detected
xiTK received SIGSEGV signal, RIP.
Аварийный останов (core dumped)
-----------------------------------------------------------------------------------------------------------------------

Comment 8 Michael J Gruber 2011-08-23 20:04:25 UTC
Thanks for testing.

Changing component to xine-lib since both xine and gxine are affected.

Comment 9 Kevin Kofler 2011-08-23 21:10:27 UTC
Looks like you're using the ALSA output with the ALSA PulseAudio plugin. Any reason you aren't using the native PulseAudio output plugin?

In any case, this crashes in snd_pcm_writei inside the ALSA libs, and the function is called by xine-lib.

Comment 10 Fedora End Of Life 2012-08-07 16:45:16 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.